OpenTTD Source: AircraftVehicleInfo Struct Reference

OpenTTD Source 15.0-RC2

Data Fields
AircraftVehicleInfo Struct Reference

Information about a aircraft vehicle. More...

`#include <engine_type.h>`

## Data Fields
uint8_t | image_index = 0
uint8_t | cost_factor = 0
uint8_t | running_cost = 0
uint8_t | subtype = 0
| Type of aircraft.
SoundID | sfx {}
uint16_t | max_speed = 0
| Maximum speed (1 unit = 8 mph = 12.8 km-ish/h)
uint8_t | acceleration = 0
uint8_t | mail_capacity = 0
| Mail capacity (bags).
uint16_t | passenger_capacity = 0
| Passenger capacity (persons).
uint16_t | max_range = 0
| Maximum range of this aircraft.

## Detailed Description

Information about a aircraft vehicle.

Definition at line 132 of file engine_type.h.

## Field Documentation

## ◆ acceleration

uint8_t AircraftVehicleInfo::acceleration = 0

Definition at line 139 of file engine_type.h.

## ◆ cost_factor

uint8_t AircraftVehicleInfo::cost_factor = 0

Definition at line 134 of file engine_type.h.

## ◆ image_index

uint8_t AircraftVehicleInfo::image_index = 0

Definition at line 133 of file engine_type.h.

## ◆ mail_capacity

uint8_t AircraftVehicleInfo::mail_capacity = 0

Mail capacity (bags).

Definition at line 140 of file engine_type.h.

Referenced by AircraftVehicleChangeInfo(), and CmdBuildAircraft().

## ◆ max_range

uint16_t AircraftVehicleInfo::max_range = 0

Maximum range of this aircraft.

Definition at line 142 of file engine_type.h.

Referenced by AircraftVehicleChangeInfo(), and UpdateAircraftCache().

## ◆ max_speed

uint16_t AircraftVehicleInfo::max_speed = 0

Maximum speed (1 unit = 8 mph = 12.8 km-ish/h)

Definition at line 138 of file engine_type.h.

Referenced by AircraftVehicleChangeInfo(), and UpdateAircraftCache().

## ◆ passenger_capacity

uint16_t AircraftVehicleInfo::passenger_capacity = 0

Passenger capacity (persons).

Definition at line 141 of file engine_type.h.

Referenced by AircraftVehicleChangeInfo(), and CmdBuildAircraft().

## ◆ running_cost

uint8_t AircraftVehicleInfo::running_cost = 0

Definition at line 135 of file engine_type.h.

## ◆ sfx

SoundID AircraftVehicleInfo::sfx {}

Definition at line 137 of file engine_type.h.

## ◆ subtype

uint8_t AircraftVehicleInfo::subtype = 0

Type of aircraft.

See also
  AircraftSubTypeBits

Definition at line 136 of file engine_type.h.

Referenced by AircraftVehicleChangeInfo(), CanVehicleUseStation(), CheckAutoreplaceValidity(), CheckOrders(), CmdBuildAircraft(), FindNearestHangar(), GetEngineLiveryScheme(), GetVehicleCannotUseStationReason(), and MaybeCrashAirplane().

The documentation for this struct was generated from the following file:

- src/engine_type.h